<md-card>
  <md-card-content>

  <div class="flex-container admin-home-header" fxLayout fxLayout.xs="column" fxLayoutWrap="wrap" class="picture-section">
    <div fxFlex="20" fxLayoutAlign="start center">

      <!-- If the user has not a picture display a stock one-->
      <div *ngIf="!userUpdateData.user.hasPicture">
        <div class="circle no-profile-pic-big ">
          <md-icon class="user-bigger-icon">face</md-icon>
        </div>
      </div>

      <!-- If the input user of the component has a picture -->
      <div *ngIf="userUpdateData.user.hasPicture">
        <div *ngIf="cameFromAdmin"> <!-- If you are an admin... -->
          <!-- Admin API picture GET-->
          <img [src]="picUrl" width="180px" height="180px" class="circle">
        </div>

        <div *ngIf="!cameFromAdmin"> <!-- If you are in your settings page... -->
          <!-- For all users Settings API picture GET-->
          <img [src]="picUrl" width="180px" height="180px" class="circle">
        </div>

      </div>
    </div>

    <div fxFlex="12">
      <div fxLayout="column">
        <div fxFlex="60">
          <div fxLayout="row">
            <div fxFlex="30">
              Change<br>Picture
            </div>
            <div fxFlex="30">
              <div>
                <input type="file" name="pic-uploader" id="pic-uploader" ng2FileSelect [uploader]="uploader" class="inputfile" />
                <label for="pic-uploader"><i class="material-icons upload-pic">add_circle</i></label>

              </div>
              <div fxFlex="30" class="del-btn-pos">
                 <!-- If the input user of the component has a picture -->
                 <div *ngIf="userUpdateData.user.hasPicture" >
                    <button md-mini-fab (click)="deletePic()">
                        <i class="material-icons">delete_forever</i>
                    </button>
                 </div>
              </div>
              <div fxFlex="10">
                <!--<md-spinner class="spinner-small" *ngIf="orderingTypeDisable" ></md-spinner>-->
                <md-spinner class="spinner-small spinner-right-pos" *ngIf="uploadWheelShow" ></md-spinner>
              </div>
            </div>
          </div>
        </div>
        <div fxFlex="40">
          You have to upload an image at least 180px by 180px, jpg, .gif, or .png. Max file size 700K.
        </div>
      </div>
    </div>

  </div>
    <form novalidate  [formGroup]="profileGroup" autocomplete="off">
    <span > <!-- First name -->
      <md-input-container class="admin-input">
        <input type="text" mdInput placeholder="First name" formControlName="firstName" name="firstName"  />
        <md-error class="error" *ngIf="profileGroup.get('firstName').touched && profileGroup.get('firstName').hasError('required')">
          First Name is required
        </md-error>
        <md-error class="error" *ngIf="profileGroup.get('firstName').touched && profileGroup.get('firstName').hasError('minlength')">
          Minimum of 2 characters
        </md-error>
      </md-input-container>
    </span>

    <span > <!-- Last name -->
      <md-input-container class="admin-input">
        <input type="text" mdInput placeholder="Last name" formControlName="lastName" name="lastName"  />
        <md-error class="error" *ngIf="profileGroup.get('lastName').touched && profileGroup.get('lastName').hasError('required')">
          Last Name is required
        </md-error>
        <md-error class="error" *ngIf="profileGroup.get('lastName').touched && profileGroup.get('lastName').hasError('minlength')">
          Minimum of 2 characters
        </md-error>
      </md-input-container>
    </span>

    <span > <!-- Email -->
      <md-input-container class="admin-input">
        <input type="text" mdInput placeholder="Email" formControlName="email" name="email"  />
        <md-error class="error" *ngIf="profileGroup.get('email').touched && profileGroup.get('email').hasError('required')">
          Email is required
        </md-error>
        <md-error class="error" *ngIf="profileGroup.get('email').touched && profileGroup.get('email').hasError('email')">
          Invalid email
        </md-error>
      </md-input-container>
    </span>

    <!-- If you came to this page as an admin show the option to change user role -->
    <div *ngIf="cameFromAdmin"> <!-- Role -->
      <md-select placeholder="Role" formControlName="role" name="role" >
        <md-option *ngFor="let role of roles" [value]="role.value">
          {{role.viewValue}}
        </md-option>
      </md-select>
    </div>
    </form>
  </md-card-content>
</md-card>
